<?php



define('_IN_JOHNCMS', 1);

echo '<div class="phdr"><a href="/shop/">'.str_replace('http://', '',$set['homeurl']).' do\'koni</a> | Rangli Nik</div>';

// Узнаём цену
$price = mysql_fetch_assoc(mysql_query("SELECT `price` FROM `shop` WHERE `id` = 11"));
$a = $price['price'];

if (isset($_POST['submit'])) {
    // Принимаем дынные
    $kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $clr = isset($_POST['color']) ? functions::check(mb_substr($_POST['color'], 0, 25)) : '';
    $error = false;

    // Проверка кода CAPTCHA
    if (empty($kod) || mb_strlen($kod) < 4)
        $error = $error . 'Tekshiruv kodi kiritilmadi!<br />';
    elseif ($kod != $_SESSION['code'])
        $error = $error . 'Tekshiruv kodi xato!<br />';
    unset($_SESSION['code']);

    // Проверка цвета
    if (empty($clr) || mb_strlen($clr) < 3)
        $error = $error . 'Nik rangi kiritilmadi!<br />';
    if (preg_match("/[^0-9a-zA-Z]+/", $clr))
            $error = 'Nik rangida ta\'qiqlangan belgilar!<br/>';

    if (empty($error)) {
        // Проверка монет
        if ($datauser['balans'] < $a) {
        $error = 'Sizda nikingiz rangini o\'zgartirish uchun yetarli mablag\' mavjud emas!<br/>';
        }
    }

    // Заносим данные в Базу
    if (empty($error)) {
        mysql_query("UPDATE `users` SET `balans` = '" . ($datauser['balans'] - $a) . "', `cnick` = '" . mysql_real_escape_string($clr) . "' WHERE `id` = '$user_id'");
        echo '<div class="gmenu">Nikingiz rangi o\'zgartirildi!<br/>';
        echo 'Пример: <font color="'.$clr.'">'.$datauser['name'].'</font>';
        echo '<br/><a href="/shop/">Do\'konga</a>';
        echo '</div>';
    } else {
        echo '<div class="rmenu"><p><b>XATO!</b><br />' . $error . '</p></div>';
    }

} else {
    // Форма ввода
    echo '<div class="list2"><b>'.$login.'</b>, Siz bu yerda nikingiz rangini o\'zgartirishingiz mumkin<br/>Narxi: '.$a.' ball</div>';
    echo '<form action="/shop/index.php?act=cnick" method="post"><div class="list1">';
    echo '<p>'.(strlen($datauser['cnick']) == 1 ? '<b>Rangi:</b>' : '<font color="'.$datauser['cnick'].'"><b>Rangi:</b></font>').'<br/><input type="text" name="color" maxlength="25" value="'.$datauser['cnick'].'" /><br/><small>Nik rangi uchun yoqtirgan rangingiz nomini (black) yoki kodini (000000) kiriting<br/><font color="red">RGB kodni emas HTML kodni kiriting #siz!!!</font></small><br/><a href="/shop/color.php"><font color="0000ff">Ranglar jadvali</font></a></p></div>';
    echo '<div class="gmenu"><p><img src="/captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код" border="1"/><br />';
    echo 'Tekshiruv kodi:<br/><input type="text" size="5" maxlength="5" name="kod"/></p></div>';
    echo '<div class="list2"><input type="submit" name="submit" value="O\'rnatish"/></div></form>';
    }

?>